![Logo](https://cdn.discordapp.com/attachments/749076478146117733/843277676378849310/logo.png)

# Update 1.8 Highlights

<details>
  <summary>Update 1.8 Highlights</summary>
  <p>
  
### Three new high quality skins with new lore based unlocks and unique VFX.
![Feature Preview Skins](https://cdn.discordapp.com/attachments/749076478146117733/849678602060431470/unknown.png)

### New VFX for muzzle flashes and tracers. Also Improved animations and sfx.
![Feature Preview VFX](https://cdn.discordapp.com/attachments/749076478146117733/848331431167393842/unknown.png)

### Two themed color filters that have been painstakingly tweaked for each map to achieve new graphic looks.
![Feature Preview Color Filters](https://cdn.discordapp.com/attachments/749076478146117733/848352002231894066/unknown.png)

### UI ReColor inspired by ~~literally the same amber color~~ Fallout: New Vegas ui style.
![Feature Preview UI Recolor](https://cdn.discordapp.com/attachments/567832879879553037/850148891227979776/unknown.png)

### New shrine interactable with unique design, event and location.
![Feature Preview Shrine](https://cdn.discordapp.com/attachments/567832879879553037/846243287727996988/unknown.png)

![Feature Preview Shrine Abyss](https://cdn.discordapp.com/attachments/749076478146117733/849683857213095986/unknown.png)

![Feature Preview Totem](https://cdn.discordapp.com/attachments/567832879879553037/848647017944449074/unknown.png)

### Rallypoint Delta improvements, new and secret pathways.
![Feature Preview Harbor](https://cdn.discordapp.com/attachments/749076478146117733/846610561046282281/unknown.png)

### New item, the Wicked Ring, comes with a unique effect reworked from RoR1 and unique model based on the original sprite.
![Feature Preview Item](https://cdn.discordapp.com/attachments/749076478146117733/846608647588806686/unknown.png)
  
  </p>
</details>

# Commissions

I take commissions, wanna create and play your favorite character? DM me:
- Discord Contact: Dragonyck#4653

# Installation

R2modman is recommended. 

Manual:

1 - Download and install the dependencies of this mod 

2 - Extract the "Gunslinger" dll to your plugins folder

3 - Have fun!

# Credits
Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Komrade - Item creation guide.

Twiner - TK/GI/RoS Scene knowledge Massive brain.

Redacted - Survivor Model Template.

Randomdude90/lemurboy12/Spilyah - Vidya Game model.

ThatAverageJoe - Astronaut model.

Dragonyck - Character design, code, icons, sounds, some anims.

[Magicpot Inc.](https://assetstore.unity.com/publishers/25182) - Smoke effect.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.10.2`
- Updated easter egg video format to be compatible with Linux.
- Lowered AimOrigin.

`1.10.1`
- Fixed frozenwall groundnodes not being properly set, causing issues if reloading that stage.

`1.10.0`
- Updated for R2API split assemblies.
- Added Wicked King to Siphoned Forest.
  - ![](https://media.discordapp.net/attachments/749076478146117733/1113665567333814313/image.png)
- Added config for disabling Wicked King interactable spawns.
- Improved how Rallypoint Delta Harbor is added, could maybe help with load times (I have a SSD so I barely noticed a difference).
- Fixed and improved some of the code as well as some minor bugs.
- Dark Spirits now have a flat 10 armor instead.

`1.9.1`
- Updated for CUA
- Infinity Guntlet doesn't randomly nuke you anymore. I think. 

`1.9.0`
- SOTV Update.
- Added a small radius to M1/M1Alt to make it easier to hit some enemies. (apparently they had their hitboxes improved)
- Fixed network issues with M1 Alt and Special Alt.
- Slightly improved WraithStep animation transition.
- Networking fixes for Special alt.
- Character display fixes and improvements.
- Temporarily Removed Chen's Gradius Mod Support.
- Fixed some network issues with interactables. Some don't have their materials applied correctly for clients idk why.		
	
`1.8.10` 
- Added a new skin and a new unlock condition for it.
- Updated portrait icon.
- Added yet another easter egg. Check the mods wiki if you'd like to know how to encounter it and other easter eggs.
- Some potential fixes to issues with the Wicked Ring not doing anything? idk some reported it but never gave any relevant info or log.

`1.8.9` 
- Fixed Wicked Totem idle sound still being played after a loop if it wasn't cleansed before.

`1.8.8`
 - Fixed formatting on the easter egg equipment's description and added some nice colors.

`1.8.7`
 - Added easter egg lunar equipment, along with a new unlock condition for it, animation and item display(technically it's a renderer info, so no itemdisplay for other characters).

`1.8.6`
 - Fixed GradiusMod support.

`1.8.5`
 - This is the actual 1.8.4 version, I uploaded the wrong build somehow and that one had some networking debugging stuff on that caused MP issues. 

`1.8.4`
 - Fixed duplicate Wicked Ring log entry. 

`1.8.3` 
- Fixed crash when spawning Wicked Ring's dark spirits in a MP session. Client spawned dark spirits are a little scuffed visually (no dark overlay, low health) but works fine.
- Changed the elite affix from the third Wicked Shrine.
- Changed one of the spawn points of dark spirits in Abyssal Depths to prevent them from *sometimes* spawning outside the closed gate.
- Reduced the volume of the Wicked Totem idle sound.
- Added an interaction sound to the easter egg.
- Added a config to disable M1 recoil, so it doesn't give motion sensitive people a stroke or something.
- Added a new easter egg.

`1.8.2`
- Optimizations.

`1.8.1`
- Temporarily disabled GradiusMod support to fix some issues.

`1.8.0`
- Migrated back to R2API. eLiGmA WHy doN'T yoU UpDaTE YoUR MoD
- Added a new shrine: The Wicked King.
- Added a new interactable: The Wicked Totem.
- Added a new interactable: The Wicked Glyph.
- Added a harbor to Rallypoint Delta. *I recommend setting the texture resolution to at least a Quarter and up. 
- Added a world unique item: the Wicked Ring.
- Added themed color filters W/ Forgotten Haven support.
- Added themed UI ReColor.
- Added support for ChensGradiusMod.
- Added Easter Egg.
- Deadeye was slightly reworked:
	- Fire the same 3 shots while on the ground, but when in the air you're unable to move and each use fires 3 shots of 200% damage.
	- Projectile travel is slower.
	- Slightly increased recoil.
	- Added a new tracer and muzzle effect.
	- Now correctly shows how many stocks you have left.
	- Deadeye now enters CD after you use all 3 stocks or when the timer ends.
	
- Unload: 
	- Reduced max stacks to 30. 
	- Stacks now increase recoil. Now they also show up as a buff so you know your current stacks. 
	- Slightly decreased bullet spread.
	- Crosshair color and sound switch timings are more consistent with the current stacks.
	
- Added new muzzle flash and tracer effects for both Vendetta and Unload.
- Added Lord, Deathslinger and Hollow skins and a new unlock condition for each.
- Improved some animations and animation transitions.
- Wraith Step now dashes in the character direction while on ground, and in aim direction while in the air. With this you get the best of both situations, dash to avoid getting hit while in a fight and easily get to the places you need. Also improved enemy detection and reduced the search radius.
- Replaced the chamber sound from Vendetta with a new better one. The shot sound is a lot less annoying at high attack speeds and very satisfying to hear.
- Reduced the resolution of all icons in an attempt to improve their visual quaility. Ironic, I know, this game hates high quality assets.
- Slightly improved reload sound timing.
- Soul Piercer now properly displays the muzzle flash for each round fired and also updated it's description with some critical information I forgot to add.
- Remade the crosshair recolor system so that it is unique to each spawned body and doesn't conflict with other Gunslingers in the match, including NPC's. 
- Fixed buff icons and added a new one for Unload stacks.
- Fixed character select color.
- Fixed Wraith Frenzy achievement icon.
- Optimized assets, resulting in better performance and load times. ![Pog](https://cdn.discordapp.com/attachments/749076478146117733/849369198673395712/1x.png)
- Apparently slinger was 0.11548 above ground. ![Emote](https://cdn.discordapp.com/attachments/749076478146117733/845304215822794813/Untitled-2.png)

`1.7.3`
- Alt Utility Curse Mark effect now shows for all enemies with the debuff and displays over them.
- Added a new sound when the mark kills the marked enemy.

`1.7.2`
- Added reload sound to Alt M1.

`1.7.1`
- Added Alt M1 and an unlockable for it, some minor fixes.

`1.7.0`
- Added Item Displays and a config entry to disable them.
- Added Unlockables.
- Added Elite Riot skin.
- Added Alt Special.
- Added old M2 back (with a few changes) and moved Orb M2 to alt. 
- Reworked passive.
- Alt Utility now gives 50% movement speed and 20% Life Steal. Also added a short hop on activation.
- Added gravity to Alt M2 and reduced damage to 320%.
- Removed alt M1.
- Reduced M1 damage to 260%.
- Special damage reduced to 180%.
- Fixed some anims.
- Fixed skill interruption. 
 -Fixed crosshair not changing colors sometimes. 
- Fixed Wraith Step buff not giving armor. Wraith Step now moves in the aim direction. 

`1.6.1`
- Fixed Unload and reduced it's recoil, Wraith Frenzy now enters cd on use, rather than after it's effect end.

`1.6.0`
- Migrated to EnigmaticThunder API, now works with the Anniversary Update. Reduced Vendetta Shoot delay by .2, and Unload by .1. Reduced WraithStep recharge rate to 1.6. Secondary explosion weakens on hit.

`1.5.5`
- Fixed M2 behaving weird in MP sessions. (no longer shots bosses) Thanks a lot Bestest Axolotl for helping with testing, you're beautiful ( ˘ ³˘)♥

`1.5.4`
- Removed proc from M2 ticks and lowered proc from it's explosion.

`1.5.3`
- Slightly improved all animations, increased M2 velocity and tick rate.

`1.5.2`
- M1 Alt damage upped to 200% and reduced cd by 0.7.

`1.5.1`
- Updated readme.

`1.5.0`
- Fixed crosshair, Improved gameplay fluidity, updated survivor portrait, Wraith Step now can't be canceled to prevent accidental cancels and removed some unnecessary effects, revamped M2.

`1.4.0`
- Added Androxus skin, added outro message, added config for crosshair size, fixed 3d audio of all sounds, added new sfx for M1 crit bullet, adjusted Special damage and force and replaced CDReset for additional damage based on enemy health, added buff to Wraith Step, adjusted M2 damage, blast radius, force. Reduced CD by 2 secs.

`1.3.1`
- Utility alt networking quick fix.

`1.3.0`
- Added new Utility Alt, added Hopoo's shader, added new crosshair that changes color based on how close you are to sixth bullet crit, flipped some faces that needed flipping, improved fire anim (again).

`1.2.2`
- Tweaked sounds with Violet's guidance, should be fine for everyone now. Also updated Soul Piercer sfx.

`1.2.1`
- Fixed M1 Alt unlock issue monkaS

`1.2.0`
- Added new M1 Alt, improved M1 fire animation, slightly reduced sfx volume to match M1 Alt sfx.

`1.1.3`
- Fixed errors that popped when selecting the character.

`1.1.2`
- Fixed another multiplayer issue. 

`1.1.1`
- Fixed M1 multiplayer issue, added falloff damage to sixth bullet, reduced recoil by half. 

`1.1.0`
- Added a death animation (forgot that one, oops), Wraith Step animation should play faster now, it is still the same, stop complaining. Updated Accursed Arm description.

`1.0.2`
- Fixed Accursed Arm: animation not playing properly, removed shock, increased blast radius, and fixed some other things I forgot to write down. 

`1.0.1`
- Updated passive skill icon, due to Unity resizing it made it look weird compared to the other icons.

`1.0.0`
- Release
